Removed specific version requirements for clang, lld and gcc.

This commit is contained in:
Marcel Pi 2022-04-13 15:16:30 +02:00 committed by bernat
parent df05a509f3
commit 1821df68c4
4 changed files with 11 additions and 11 deletions

View File

@ -64,8 +64,8 @@ __All Ubuntu systems__.
To avoid compatibility issues between Unreal Engine and the CARLA dependencies, use the same compiler version and C++ runtime library to compile everything. The CARLA team uses clang-8 and LLVM's libc++. Change the default clang version to compile Unreal Engine and the CARLA dependencies.
```sh
sudo update-alternatives --install /usr/bin/clang++ clang++ /usr/lib/llvm-8/bin/clang++ 180 &&
sudo update-alternatives --install /usr/bin/clang clang /usr/lib/llvm-8/bin/clang 180
sudo update-alternatives --install /usr/bin/clang++ clang++ /usr/lib/llvm-8/bin/clang++ &&
sudo update-alternatives --install /usr/bin/clang clang /usr/lib/llvm-8/bin/clang
```
Starting with CARLA 0.9.12, users have the option to install the CARLA Python API using `pip` or `pip3`. Version 20.3 or higher is required. To check if you have a suitable version, run the following command:

View File

@ -89,8 +89,8 @@ if ${BUILD_OSM2ODR} ; then
mkdir -p ${OSM2ODR_BUILD_FOLDER}
cd ${OSM2ODR_BUILD_FOLDER}
# define clang compiler
export CC=/usr/bin/clang-10
export CXX=/usr/bin/clang++-10
export CC=/usr/bin/clang
export CXX=/usr/bin/clang++
cmake ${OSM2ODR_SOURCE_FOLDER} \
-G "Eclipse CDT4 - Ninja" \

View File

@ -50,8 +50,8 @@ done
source $(dirname "$0")/Environment.sh
export CC=clang-10
export CXX=clang++-10
export CC=clang
export CXX=clang++
if ! { ${REMOVE_INTERMEDIATE} || ${BUILD_PYTHONAPI} ; }; then
fatal_error "Nothing selected to be done."

View File

@ -37,14 +37,14 @@ done
# -- Set up environment --------------------------------------------------------
# ==============================================================================
command -v /usr/bin/clang++-10 >/dev/null 2>&1 || {
echo >&2 "clang 8 is required, but it's not installed.";
command -v /usr/bin/clang++ >/dev/null 2>&1 || {
echo >&2 "clang1is required, but it's not installed.";
exit 1;
}
CXX_TAG=c10
export CC=/usr/bin/clang-10
export CXX=/usr/bin/clang++-10
export CC=/usr/bin/clang
export CXX=/usr/bin/clang++
source $(dirname "$0")/Environment.sh
@ -148,7 +148,7 @@ for PY_VERSION in ${PY_VERSION_LIST[@]} ; do
pushd ${BOOST_BASENAME}-source >/dev/null
BOOST_TOOLSET="clang-8.0"
BOOST_TOOLSET="clang"
BOOST_CFLAGS="-fPIC -std=c++14 -DBOOST_ERROR_CODE_HEADER_ONLY"
py3="/usr/bin/env python${PY_VERSION}"